%define gtk2_version 2.2.0
%define libbonobo_version 2.2.0
%define orbit2_version 2.6.0
%define gail_version 1.1.8
%define pango_version 1.2.0

Summary: Assistive Technology Service Provider Interface 
Name: at-spi
Version: 1.1.9
Release: 1
URL: http://developer.gnome.org/projects/gap/
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= %{gtk2_version}
Requires: libbonobo >= %{libbonobo_version}
Requires: ORBit2 >= %{orbit2_version}
Requires: gail >= %{gail_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: fontconfig
BuildRequires: XFree86-devel
BuildRequires: autoconf

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.


%package devel
Summary: Development libraries and headers for at-spi
Group: Development/Libraries
Requires: %name = %{version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: ORBit2-devel >= %{orbit2_version}
Requires: gail-devel >= %{gail_version}

%description devel
Libraries and header files allowing compilation of apps that use at-spi.


%prep
%setup -q

## for multilib patch
autoconf

%build
## bad hack around broken 0.0.5 tarball
##mkdir -p docs/reference/idl
## touch docs/reference/idl/Makefile.in

export multilibname=%{_lib}
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_libdir}/lib*.so.*
%{_libdir}/bonobo
%{_libdir}/orbit-2.0
%{_libdir}/gtk-2.0
%{_libexecdir}/*

%files devel
%defattr(-,root,root)
%{_datadir}/gtk-doc
%{_datadir}/idl
## there are no static libs installed by this package, for whatever reason
##%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/* 

%changelog
* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1.1.9-1
- 1.1.9
- remove multilib patch fixed upstream

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1.1.8-3
- kill Xft buildreq

* Tue Feb 11 2003 Havoc Pennington <hp@redhat.com> 1.1.8-2
- rebuild to fix self-dependency

* Tue Feb 11 2003 Havoc Pennington <hp@redhat.com> 1.1.8-1

- extend multilib patch to cover -lXi

* Tue Feb  4 2003 Havoc Pennington <hp@redhat.com> 1.1.8-1
- 1.1.8

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Elliot Lee <sopwith@redhat.com> 1.0.1-6
- Add patch to help multilib systems find libXtst

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libbonobo and gail

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Matt Wilson <msw@redhat.com>
- add libatk-bridge.so to the file list

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.0.1
- add at-spi-registryd to file list

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 1.0.0
- add post/postun ldconfig

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- rebuild again?

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 0.12.1

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.0.6

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide, seems to have been linked incorrectly

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide, upgrade to 0.0.5
- add gail deps

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


